[Setup]
AppId={{A9C31234-366B-44F6-8165-CE1A457F0B0D}
AppName=Lua-Quick-Try-Out
AppVersion=1.1.1
AppVerName=Lua-Quick-Try-Out 1.1.1
OutputBaseFilename=Lua-Quick-Try-Out-1.1.1_setup
AppPublisher=Torsten Brischalle
AppPublisherURL=http://www.aaabbb.de
AppSupportURL=http://www.aaabbb.de
AppUpdatesURL=http://www.aaabbb.de
DefaultDirName={pf}\Lua-Quick-try-Out
DefaultGroupName=Lua-Quick-try-Out
AllowNoIcons=yes
LicenseFile=..\license_gpl-3.0.txt
OutputDir=.
Compression=lzma/ultra
SolidCompression=yes

[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "..\Lua-Quick-Try-Out.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "..\icons\*"; DestDir: "{app}\icons"; Flags: ignoreversion 
Source: "..\examples\*.lua"; DestDir: "{app}\examples"; Flags: ignoreversion 
Source: "..\doc\func_doc.html"; DestDir: "{app}\doc"; Flags: ignoreversion

[Icons]
Name: "{group}\Lua-Quick-try-Out"; Filename: "{app}\Lua-Quick-Try-Out.exe"
Name: "{group}\{cm:ProgramOnTheWeb,Lua-Quick-try-Out}"; Filename: "http://www.aaabbb.de"
Name: "{group}\{cm:UninstallProgram,Lua-Quick-try-Out}"; Filename: "{uninstallexe}"
Name: "{commondesktop}\Lua-Quick-try-Out"; Filename: "{app}\Lua-Quick-Try-Out.exe"; Tasks: desktopicon

[Run]
Filename: "{app}\Lua-Quick-Try-Out.exe"; Description: "{cm:LaunchProgram,Lua-Quick-try-Out}"; Flags: nowait postinstall skipifsilent

