#-------------------------------------------------
#
# Project created by QtCreator 2012-03-07T21:06:52
#
#-------------------------------------------------

DESTDIR = .
OBJECTS_DIR = obj
MOC_DIR = moc
RCC_DIR = rcc
UI_DIR = ui

QT       += core gui svg

INCLUDEPATH += lua tcpip src QCustomPlot qfindreplacedialog \
               QScintilla/include QScintilla/src QScintilla/Qt4Qt5 QScintilla/Qt4Qt5/Qsci QScintilla/lexlib

CONFIG += static

DEFINES += _CRT_SECURE_NO_WARNINGS QT SCI_LEXER

TARGET = Lua-Quick-Try-Out
TEMPLATE = app
RC_FILE = Lua-Quick-Try-Out.rc

SOURCES +=\
    lua/lzio.cpp \
    lua/lvm.cpp \
    lua/lundump.cpp \
    lua/ltm.cpp \
    lua/ltablib.cpp \
    lua/ltable.cpp \
    lua/lstrlib.cpp \
    lua/lstring.cpp \
    lua/lstate.cpp \
    lua/lparser.cpp \
    lua/loslib.cpp \
    lua/lopcodes.cpp \
    lua/lobject.cpp \
    lua/loadlib.cpp \
    lua/lmem.cpp \
    lua/lmathlib.cpp \
    lua/llex.cpp \
    lua/liolib.cpp \
    lua/lgc.cpp \
    lua/lfunc.cpp \
    lua/ldump.cpp \
    lua/ldo.cpp \
    lua/ldebug.cpp \
    lua/ldblib.cpp \
    lua/lcode.cpp \
    lua/lbaselib.cpp \
    lua/lauxlib.cpp \
    lua/lapi.cpp \
    tcpip/wsocket.cpp \
    tcpip/udp.cpp \
    tcpip/timeout.cpp \
    tcpip/tcp.cpp \
    tcpip/select.cpp \
    tcpip/options.cpp \
    tcpip/mime.cpp \
    tcpip/luasocket.cpp \
    tcpip/io.cpp \
    tcpip/inet.cpp \
    tcpip/except.cpp \
    tcpip/buffer.cpp \
    tcpip/auxiliar.cpp \
    lua/linit.cpp \
    tcpip/usocket.cpp \
    src/windowmain.cpp \
    src/windowfunctionhelp.cpp \
    src/windowabout.cpp \
    src/register_lua_functions.cpp \
    src/qconsolewidget.cpp \
    src/main.cpp \
    src/luathread.cpp \
    src/lua_table_func.cpp \
    src/lua_helper.cpp \
    src/lua_func_tab.cpp \
    src/lua_func_sys.cpp \
    src/lua_func_string.cpp \
    src/lua_func_math_ex.cpp \
    src/lua_func_gfx.cpp \
    src/lua_func_dia.cpp \
    src/lua_func_crc.cpp \
    src/lua_func_bit.cpp \
    src/lua_func_array.cpp \
    src/globals.cpp \
    src/fft.cpp \
    src/crc.cpp \
    src/autolock.cpp \
    src/gfxview.cpp \
    QCustomPlot/qcustomplot.cpp \
    src/callstack.cpp \
    src/variablelist.cpp \
    qfindreplacedialog/findreplacedialog.cpp \
    qfindreplacedialog/findreplaceform.cpp \
    qfindreplacedialog/findform.cpp \
    qfindreplacedialog/finddialog.cpp \
    src/lua_func_vecgfx.cpp \
    src/gfxviewpixmap.cpp \
    QScintilla/lexers/LexLua.cpp \
    QScintilla/lexlib/WordList.cpp \
    QScintilla/lexlib/StyleContext.cpp \
    QScintilla/lexlib/PropSetSimple.cpp \
    QScintilla/lexlib/LexerSimple.cpp \
    QScintilla/lexlib/LexerNoExceptions.cpp \
    QScintilla/lexlib/LexerModule.cpp \
    QScintilla/lexlib/LexerBase.cpp \
    QScintilla/lexlib/CharacterSet.cpp \
    QScintilla/lexlib/Accessor.cpp \
    QScintilla/Qt4Qt5/ScintillaQt.cpp \
    QScintilla/Qt4Qt5/SciClasses.cpp \
    QScintilla/Qt4Qt5/qscistyledtext.cpp \
    QScintilla/Qt4Qt5/qscistyle.cpp \
    QScintilla/Qt4Qt5/qsciscintillabase.cpp \
    QScintilla/Qt4Qt5/qsciscintilla.cpp \
    QScintilla/Qt4Qt5/qsciprinter.cpp \
    QScintilla/Qt4Qt5/qscimacro.cpp \
    QScintilla/Qt4Qt5/qscilexeryaml.cpp \
    QScintilla/Qt4Qt5/qscilexerxml.cpp \
    QScintilla/Qt4Qt5/qscilexervhdl.cpp \
    QScintilla/Qt4Qt5/qscilexerverilog.cpp \
    QScintilla/Qt4Qt5/qscilexertex.cpp \
    QScintilla/Qt4Qt5/qscilexertcl.cpp \
    QScintilla/Qt4Qt5/qscilexersql.cpp \
    QScintilla/Qt4Qt5/qscilexerspice.cpp \
    QScintilla/Qt4Qt5/qscilexerruby.cpp \
    QScintilla/Qt4Qt5/qscilexerpython.cpp \
    QScintilla/Qt4Qt5/qscilexerproperties.cpp \
    QScintilla/Qt4Qt5/qscilexerpov.cpp \
    QScintilla/Qt4Qt5/qscilexerpostscript.cpp \
    QScintilla/Qt4Qt5/qscilexerperl.cpp \
    QScintilla/Qt4Qt5/qscilexerpascal.cpp \
    QScintilla/Qt4Qt5/qscilexeroctave.cpp \
    QScintilla/Qt4Qt5/qscilexermatlab.cpp \
    QScintilla/Qt4Qt5/qscilexermakefile.cpp \
    QScintilla/Qt4Qt5/qscilexerlua.cpp \
    QScintilla/Qt4Qt5/qscilexerjavascript.cpp \
    QScintilla/Qt4Qt5/qscilexerjava.cpp \
    QScintilla/Qt4Qt5/qscilexeridl.cpp \
    QScintilla/Qt4Qt5/qscilexerhtml.cpp \
    QScintilla/Qt4Qt5/qscilexerfortran77.cpp \
    QScintilla/Qt4Qt5/qscilexerfortran.cpp \
    QScintilla/Qt4Qt5/qscilexerdiff.cpp \
    QScintilla/Qt4Qt5/qscilexerd.cpp \
    QScintilla/Qt4Qt5/qscilexercustom.cpp \
    QScintilla/Qt4Qt5/qscilexercss.cpp \
    QScintilla/Qt4Qt5/qscilexercsharp.cpp \
    QScintilla/Qt4Qt5/qscilexercpp.cpp \
    QScintilla/Qt4Qt5/qscilexercmake.cpp \
    QScintilla/Qt4Qt5/qscilexerbatch.cpp \
    QScintilla/Qt4Qt5/qscilexerbash.cpp \
    QScintilla/Qt4Qt5/qscilexer.cpp \
    QScintilla/Qt4Qt5/qscidocument.cpp \
    QScintilla/Qt4Qt5/qscicommandset.cpp \
    QScintilla/Qt4Qt5/qscicommand.cpp \
    QScintilla/Qt4Qt5/qsciapis.cpp \
    QScintilla/Qt4Qt5/qsciabstractapis.cpp \
    QScintilla/Qt4Qt5/PlatQt.cpp \
    QScintilla/Qt4Qt5/ListBoxQt.cpp \
    QScintilla/src/XPM.cpp \
    QScintilla/src/ViewStyle.cpp \
    QScintilla/src/UniConversion.cpp \
    QScintilla/src/Style.cpp \
    QScintilla/src/Selection.cpp \
    QScintilla/src/ScintillaBase.cpp \
    QScintilla/src/RunStyles.cpp \
    QScintilla/src/RESearch.cpp \
    QScintilla/src/PositionCache.cpp \
    QScintilla/src/PerLine.cpp \
    QScintilla/src/LineMarker.cpp \
    QScintilla/src/KeyMap.cpp \
    QScintilla/src/Indicator.cpp \
    QScintilla/src/ExternalLexer.cpp \
    QScintilla/src/Editor.cpp \
    QScintilla/src/Document.cpp \
    QScintilla/src/Decoration.cpp \
    QScintilla/src/ContractionState.cpp \
    QScintilla/src/CharClassify.cpp \
    QScintilla/src/CellBuffer.cpp \
    QScintilla/src/Catalogue.cpp \
    QScintilla/src/CallTip.cpp \
    QScintilla/src/AutoComplete.cpp \
    src/myscintilla.cpp

HEADERS  += \
    lua/lvm.h \
    lua/lundump.h \
    lua/lualib.h \
    lua/luaconf.h \
    lua/lua.h \
    lua/ltm.h \
    lua/ltable.h \
    lua/lstring.h \
    lua/lstate.h \
    lua/lparser.h \
    lua/lopcodes.h \
    lua/lobject.h \
    lua/lmem.h \
    lua/llimits.h \
    lua/llex.h \
    lua/lgc.h \
    lua/lfunc.h \
    lua/ldo.h \
    lua/ldebug.h \
    lua/lcode.h \
    lua/lauxlib.h \
    lua/lapi.h \
    lua/lzio.h \
    tcpip/udp.h \
    tcpip/timeout.h \
    tcpip/tcp.h \
    tcpip/socket.h \
    tcpip/select.h \
    tcpip/options.h \
    tcpip/mime.h \
    tcpip/luasocket.h \
    tcpip/io.h \
    tcpip/inet.h \
    tcpip/except.h \
    tcpip/buffer.h \
    tcpip/auxiliar.h \
    tcpip/wsocket.h \
    tcpip/usocket.h \
    src/windowmain.h \
    src/windowfunctionhelp.h \
    src/windowabout.h \
    src/register_lua_functions.h \
    src/qconsolewidget.h \
    src/qconsolestreambuf.h \
    src/luathread.h \
    src/lua_table_func.h \
    src/lua_helper.h \
    src/lua_func_tab.h \
    src/lua_func_sys.h \
    src/lua_func_string.h \
    src/lua_func_math_ex.h \
    src/lua_func_gfx.h \
    src/lua_func_dia.h \
    src/lua_func_crc.h \
    src/lua_func_bit.h \
    src/lua_func_array.h \
    src/InterfaceGUI.h \
    src/globals.h \
    src/fft.h \
    src/crc.h \
    src/autolock.h \
    src/gfxview.h \
    QCustomPlot/qcustomplot.h \
    src/InterfaceBreakpoints.h \
    src/callstack.h \
    src/variablelist.h \
    qfindreplacedialog/findreplace_global.h \
    qfindreplacedialog/findreplacedialog.h \
    qfindreplacedialog/findreplaceform.h \
    qfindreplacedialog/findform.h \
    qfindreplacedialog/finddialog.h \
    src/lua_func_vecgfx.h \
    src/gfxviewpixmap.h \
    QScintilla/include/Scintilla.h \
    QScintilla/include/SciLexer.h \
    QScintilla/include/Platform.h \
    QScintilla/include/ILexer.h \
    QScintilla/lexlib/WordList.h \
    QScintilla/lexlib/StyleContext.h \
    QScintilla/lexlib/SparseState.h \
    QScintilla/lexlib/PropSetSimple.h \
    QScintilla/lexlib/OptionSet.h \
    QScintilla/lexlib/LexerSimple.h \
    QScintilla/lexlib/LexerNoExceptions.h \
    QScintilla/lexlib/LexerModule.h \
    QScintilla/lexlib/LexerBase.h \
    QScintilla/lexlib/LexAccessor.h \
    QScintilla/lexlib/CharacterSet.h \
    QScintilla/lexlib/Accessor.h \
    QScintilla/Qt4Qt5/Qsci/qscistyledtext.h \
    QScintilla/Qt4Qt5/Qsci/qscistyle.h \
    QScintilla/Qt4Qt5/Qsci/qsciscintillabase.h \
    QScintilla/Qt4Qt5/Qsci/qsciscintilla.h \
    QScintilla/Qt4Qt5/Qsci/qsciprinter.h \
    QScintilla/Qt4Qt5/Qsci/qscimacro.h \
    QScintilla/Qt4Qt5/Qsci/qscilexeryaml.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerxml.h \
    QScintilla/Qt4Qt5/Qsci/qscilexervhdl.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerverilog.h \
    QScintilla/Qt4Qt5/Qsci/qscilexertex.h \
    QScintilla/Qt4Qt5/Qsci/qscilexertcl.h \
    QScintilla/Qt4Qt5/Qsci/qscilexersql.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerspice.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerruby.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerpython.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerproperties.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerpov.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerpostscript.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerperl.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerpascal.h \
    QScintilla/Qt4Qt5/Qsci/qscilexeroctave.h \
    QScintilla/Qt4Qt5/Qsci/qscilexermatlab.h \
    QScintilla/Qt4Qt5/Qsci/qscilexermakefile.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerlua.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerjavascript.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerjava.h \
    QScintilla/Qt4Qt5/Qsci/qscilexeridl.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerhtml.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerfortran77.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerfortran.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerdiff.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerd.h \
    QScintilla/Qt4Qt5/Qsci/qscilexercustom.h \
    QScintilla/Qt4Qt5/Qsci/qscilexercss.h \
    QScintilla/Qt4Qt5/Qsci/qscilexercsharp.h \
    QScintilla/Qt4Qt5/Qsci/qscilexercpp.h \
    QScintilla/Qt4Qt5/Qsci/qscilexercmake.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerbatch.h \
    QScintilla/Qt4Qt5/Qsci/qscilexerbash.h \
    QScintilla/Qt4Qt5/Qsci/qscilexer.h \
    QScintilla/Qt4Qt5/Qsci/qsciglobal.h \
    QScintilla/Qt4Qt5/Qsci/qscidocument.h \
    QScintilla/Qt4Qt5/Qsci/qscicommandset.h \
    QScintilla/Qt4Qt5/Qsci/qscicommand.h \
    QScintilla/Qt4Qt5/Qsci/qsciapis.h \
    QScintilla/Qt4Qt5/Qsci/qsciabstractapis.h \
    QScintilla/Qt4Qt5/ScintillaQt.h \
    QScintilla/Qt4Qt5/SciNamespace.h \
    QScintilla/Qt4Qt5/SciClasses.h \
    QScintilla/Qt4Qt5/ListBoxQt.h \
    QScintilla/src/XPM.h \
    QScintilla/src/ViewStyle.h \
    QScintilla/src/UniConversion.h \
    QScintilla/src/SVector.h \
    QScintilla/src/Style.h \
    QScintilla/src/SplitVector.h \
    QScintilla/src/Selection.h \
    QScintilla/src/ScintillaBase.h \
    QScintilla/src/RunStyles.h \
    QScintilla/src/RESearch.h \
    QScintilla/src/PositionCache.h \
    QScintilla/src/PerLine.h \
    QScintilla/src/Partitioning.h \
    QScintilla/src/LineMarker.h \
    QScintilla/src/KeyMap.h \
    QScintilla/src/Indicator.h \
    QScintilla/src/FontQuality.h \
    QScintilla/src/ExternalLexer.h \
    QScintilla/src/Editor.h \
    QScintilla/src/Document.h \
    QScintilla/src/Decoration.h \
    QScintilla/src/ContractionState.h \
    QScintilla/src/CharClassify.h \
    QScintilla/src/CellBuffer.h \
    QScintilla/src/Catalogue.h \
    QScintilla/src/CallTip.h \
    QScintilla/src/AutoComplete.h \
    src/myscintilla.h \
    src/program_version.h

FORMS    += \
    src/windowmain.ui \
    src/windowfunctionhelp.ui \
    src/windowabout.ui \
    qfindreplacedialog/findreplacedialog.ui \
    qfindreplacedialog/findreplaceform.ui

OTHER_FILES += \
    src/icons.res








































































































































































































































































































