/*
  Copyright (C) 2012  Torsten Brischalle

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/
*/

#ifndef LUA_FUNC_ARRAY_H
#define LUA_FUNC_ARRAY_H

//-----------------------------------------------------------------------------

#include <lua.h>

//-----------------------------------------------------------------------------

int lua_func_print_array(lua_State *lua);
int lua_func_make_array(lua_State *lua);
int lua_func_reverse_array(lua_State *lua);
int lua_func_mul_array(lua_State *lua);
int lua_func_div_array(lua_State *lua);
int lua_func_sub_array(lua_State *lua);
int lua_func_add_array(lua_State *lua);
int lua_func_extract_array(lua_State *lua);
int lua_func_array_min(lua_State *lua);
int lua_func_array_max(lua_State *lua);
int lua_func_array_to_string(lua_State *lua);
int lua_func_array_to_number(lua_State *lua);

//-----------------------------------------------------------------------------

#endif
